## Types Types — Types that is used in test. |

## Functions

void | (*CutDestroyFunction) ()
void | (*CutCallbackFunction) ()

## Types and Values

typedef | cut_boolean
#define | CUT_TRUE
#define | CUT_FALSE

## Description

There are some types to be used in test.

## Functions

### CutDestroyFunction ()

    void
    (*CutDestroyFunction) (void *data);

Specifies the type of function which is called when a data element is destroyed. It is passed the pointer to the data element and should free any memory and resources allocated for it.

#### Parameters

data | the data element to be destroyed. |

### CutCallbackFunction ()

    void
    (*CutCallbackFunction) (void);

## Types and Values

### cut_boolean

    typedef int cut_boolean;

A standard boolean type. Variables of this type should only contain the value `CUT_TRUE` or `CUT_FALSE`.

### CUT_TRUE

    #define CUT_TRUE

Defines the `CUT_TRUE` value for the cut_boolean type.

### CUT_FALSE

    #define CUT_FALSE

Defines the `CUT_FALSE` value for the cut_boolean type.